Download ImpressCMS and use it on your site. It's 100% Free!

Installation

With our web-based installation, setting up your ImpressCMS site for the first time is simple. We have an Installation guide available to accompany you in the process

Requirements

At the moment we recommend servers running PHP version 7.2 and MySQL 5.6 or MariaDB 10.0 or greater.

We also recommend Apache as webserver although alternatives such as nginx should work as well.

ImpressCMS 1.4.0 introduces support for PHP 7.x, we recommend you use this version.

More resources

Beta/Nightly versions (coming soon)

Source code on Github

Official forum

Need help?

Ask your questions on the community forums, we're happy to help!